/*
 *	UART-core.h
 *
 *	Created on: 2015/04/30
 *		Author: Jinso(Nui)
 */

#ifndef UART_CORE_H_
#define UART_CORE_H_

#include <string.h>
#include "system.h"
#include "alt_types.h"

/* Function protocol */
extern alt_u8 uart_baud(char *device, alt_u32 baud);
extern void uart_config(char *device, alt_u8 config);
extern char uart_xfer(char *device_name, char *data, alt_u8 type, alt_u8 nbyte);


#endif /* UART_CORE_H_ */
