/*
 * int.h
 *
 *  Created on: May 1, 2015
 *      Author: KD
 */

#ifndef INT_H_
#define INT_H_

#include "sys/alt_irq.h"
#include <stddef.h>

typedef void (*callfunction)(void* context);

struct irq_info {
	alt_u32 ic_id;
	alt_u32 irq;
	alt_isr_func isr;
	callfunction irq_event;
};

extern void irq_request( struct irq_info *info );

extern int irq_enable( struct irq_info *info );
extern void irq_disable( struct irq_info *info );


#endif /* INT_H_ */
