/*
 *	MAX10SoM-PIO.c
 *
 *	Created on: 2015/05/22
 *	Author: KD
 */

/* Include file */
#include <io.h>
#include "../inc/driver-common.h"
#include "../inc/MAX10SoM-PIO.h"

void PIO_data_write(alt_u8 port_no, alt_u16 data)
{
	IOWR( PIO_BASE,( port_add( port_no ) * 2 ), data );
}

void PIO_dir_write(alt_u8 port_no, alt_u16 data)
{
	IOWR( PIO_BASE,(1 + port_add( port_no ) * 2 ), data );
}

alt_u16 PIO_data_read(alt_u8 port_no)
{
	return IORD( PIO_BASE,( port_add( port_no ) * 2 ));
}

alt_u16 PIO_dir_read(alt_u8 port_no)
{
	return IORD( PIO_BASE,(1 + port_add( port_no ) * 2 ));
}

void PIO_mux_write(alt_u8 port_no, alt_u16 data)
{
	IOWR( PINMUX_BASE,( port_add( port_no ) * 1 ), data);
}

alt_u16 PIO_mux_read(alt_u8 port_no)
{
	return IORD( PINMUX_BASE,port_add( port_no ) * 1);
}
